Bug 1007031 - echoping segfaults all the time
echoping segfaults all the time
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: echoping (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On: 460557
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 14:54 EDT by Tomasz Torcz
Modified: 2015-04-21 15:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: echoping-6.1-0.1.beta.r434svn.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-10 03:28:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb backtrace attempt (1010 bytes, text/plain)
2013-09-11 14:54 EDT, Tomasz Torcz
no flags Details
ltrace attempt (12.67 KB, text/plain)
2013-09-11 14:55 EDT, Tomasz Torcz
no flags Details
strace attempt (12.67 KB, text/plain)
2013-09-11 14:55 EDT, Tomasz Torcz
no flags Details

  None (edit)
Description Tomasz Torcz 2013-09-11 14:54:58 EDT
Created attachment 796472 [details]
gdb backtrace attempt

Description of problem:
echoping doesn't work at all:

# echoping
Segmentation fault

dmesg is full of:
[461892.847804] echoping[7572]: segfault at 650008 ip 0000000000402160 sp 00007fff96658860 error 6 in echoping[400000+6000]

Hard to tell what's going on - it seem to die very soon.

Version-Release number of selected component (if applicable):
echoping-6.0.2-10.fc19.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. run echoping
2.
3.
Comment 1 Tomasz Torcz 2013-09-11 14:55:29 EDT
Created attachment 796473 [details]
ltrace attempt
Comment 2 Tomasz Torcz 2013-09-11 14:55:55 EDT
Created attachment 796474 [details]
strace attempt
Comment 3 Brad Hubbard 2013-09-22 04:06:13 EDT
Something very wrong with this binary, this the disassembly of the *entire* main function.

(gdb) disass main
Dump of assembler code for function main:
   0x00000000004020a0 <+0>:     sub    $0x8,%rsp
   0x00000000004020a4 <+4>:     movq   $0xf423f,0x2044f9(%rip)        # 0x6065a8 <max_timeval+8>
   0x00000000004020af <+15>:    mov    0x2044f2(%rip),%rdi        # 0x6065a8 <max_timeval+8>
   0x00000000004020b6 <+22>:    movq   $0x0,0x20424f(%rip)        # 0x606310 <null_timeval>
   0x00000000004020c1 <+33>:    movq   $0x0,0x20424c(%rip)        # 0x606318 <null_timeval+8>
   0x00000000004020cc <+44>:    mov    0x20423d(%rip),%rax        # 0x606310 <null_timeval>
   0x00000000004020d3 <+51>:    mov    0x20423e(%rip),%rdx        # 0x606318 <null_timeval+8>
   0x00000000004020da <+58>:    movq   $0x3b9aca00,0x2044bb(%rip)        # 0x6065a0 <max_timeval>
   0x00000000004020e5 <+69>:    mov    0x2044b4(%rip),%rsi        # 0x6065a0 <max_timeval>
   0x00000000004020ec <+76>:    mov    %rdi,0x204495(%rip)        # 0x606588 <min+8>
   0x00000000004020f3 <+83>:    mov    $0x20,%edi
   0x00000000004020f8 <+88>:    movl   $0x0,0x2040a2(%rip)        # 0x6061a4 <return_code>
   0x0000000000402102 <+98>:    movl   $0x1,0x204064(%rip)        # 0x606170 <number>
   0x000000000040210c <+108>:   mov    %rax,0x2044ad(%rip)        # 0x6065c0 <total>
   0x0000000000402113 <+115>:   mov    %rdx,0x2044ae(%rip)        # 0x6065c8 <total+8>
   0x000000000040211a <+122>:   mov    %rax,0x2044af(%rip)        # 0x6065d0 <median>
   0x0000000000402121 <+129>:   mov    %rdx,0x2044b0(%rip)        # 0x6065d8 <median+8>
   0x0000000000402128 <+136>:   mov    %rax,0x204171(%rip)        # 0x6062a0 <max>
   0x000000000040212f <+143>:   mov    %rdx,0x204172(%rip)        # 0x6062a8 <max+8>
   0x0000000000402136 <+150>:   mov    %rsi,0x204443(%rip)        # 0x606580 <min>
   0x000000000040213d <+157>:   mov    %rax,0x20444c(%rip)        # 0x606590 <stddev>
   0x0000000000402144 <+164>:   mov    %rdx,0x20444d(%rip)        # 0x606598 <stddev+8>
   0x000000000040214b <+171>:   callq  0x401fd0 <malloc@plt>
   0x0000000000402150 <+176>:   movl   $0x6f686365,(%rax)
   0x0000000000402156 <+182>:   movb   $0x0,0x4(%rax)
   0x000000000040215a <+186>:   mov    $0x6063a0,%eax
   0x000000000040215f <+191>:   nop
   0x0000000000402160 <+192>:   movl   $0x0,(%rax)
   0x0000000000402166 <+198>:   add    $0x18,%rax
   0x000000000040216a <+202>:   jmp    0x402160 <main+192>
End of assembler dump.

That can't be right? Problem with the build?

Sure enough just doing a `fedpkg mockbuild` of the identical commit produces a package that looks OK.

$ yum localinstall /home/brad/working/src/fedpkg/echoping/results_echoping/6.0.2/10.fc19/echoping-6.0.2-10.fc19.x86_64.rpm

$ echoping 
No host name indicated
Usage: echoping [-vV?dcRuSCaA46D] [-v|--verbose] [-V|--dump-configuration] [-?|--help] [-s|--size INT] [-n|--number INT] [-w|--wait FLOAT] [-d|--discard] [-c|--chargen]
        [-h|--http STRING] [-R|--accept-http-redirects] [-H|--hostname STRING] [-i|--icp STRING] [-u|--udp] [-t|--timeout INT] [-f|--fill STRING] [-S|--smtp] [-C|--ssl]
        [-p|--priority INT] [-P|--type-of-service INT] [-a|--check-original] [-A|--ignore-cache] [-4|--ipv4] [-6|--ipv6] [-m|--module STRING] [-D|--data-only]
        [-N|--num-std-dev INT]
 hostname [plugin-options...]

Looks like it just needs to be rebuilt.
Comment 4 Brad Hubbard 2013-09-22 04:32:19 EDT
I've uploaded an rpm tha tshould work (with no guarantees whatsoever) to http://people.redhat.com/bhubbard/echoping-6.0.2-10.fc19.x86_64.rpm it should get you through until this package can be officially rebuilt.
Comment 5 Tomasz Torcz 2013-11-18 12:18:42 EST
Andreas, could you submit rebuild of echoping?
Comment 6 Fedora End Of Life 2015-01-09 14:48:25 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora Update System 2015-02-25 10:41:00 EST
echoping-6.1-0.beta.r434svn.1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/echoping-6.1-0.beta.r434svn.1.fc22
Comment 8 Fedora Update System 2015-02-25 10:41:44 EST
echoping-6.1-0.beta.r434svn.1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/echoping-6.1-0.beta.r434svn.1.fc21
Comment 9 Fedora Update System 2015-02-25 10:42:15 EST
echoping-6.1-0.beta.r434svn.1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/echoping-6.1-0.beta.r434svn.1.fc20
Comment 10 Fedora Update System 2015-02-26 00:54:45 EST
Package echoping-6.1-0.beta.r434svn.1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing echoping-6.1-0.beta.r434svn.1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2584/echoping-6.1-0.beta.r434svn.1.fc21
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2015-02-26 09:50:06 EST
echoping-6.1-0.1.beta.r434svn.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/echoping-6.1-0.1.beta.r434svn.fc22
Comment 12 Fedora Update System 2015-04-10 03:28:43 EDT
echoping-6.1-0.beta.r434svn.1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-04-10 03:29:00 EDT
echoping-6.1-0.beta.r434svn.1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-04-21 15:19:39 EDT
echoping-6.1-0.1.beta.r434svn.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.